Deployments.ai Docs
Runtime

Verify a channel binding

POST /v1/channel-bindings/{bindingId}/verify · SDK verifyChannelBinding · CLI deployments channel-binding verify

POST
/v1/channel-bindings/{bindingId}/verify

Requires channels:write.

Authorization

headerAuthorizationBearer <token>

Opaque bearer credential scoped to one service account and tenant.

Path Parameters

bindingId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment?string

Required with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Required with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Required with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

VerifyChannelBindingResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*number|||
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
workspaceId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
agentDefinitionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
agentDeploymentId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
channel*string
Value in"imessage""rcs""slack""sms""teams""telegram"
connectionId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
credentialAttached*boolean
externalAccountId?string
externalChannelId?string
externalThreadKey?string
externalWorkspaceId?string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
lastVerifiedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
metadata?
object*"channel-binding"
Value in"channel-binding"
provider*string
Value in"aws_end_user_messaging_rcs""slack_cloudflare_edge""slack_edge""teams_bot_framework""telegram"
status*string
Value in"active""archived""disabled"
verification*"configuration-and-credential"
Value in"configuration-and-credential"
curl -X POST "https://example.com/v1/channel-bindings/string/verify"
{  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0,  "environmentId": "string",  "organizationId": "string",  "projectId": "string",  "workspaceId": "string",  "agentDefinitionId": "string",  "agentDeploymentId": "string",  "channel": "imessage",  "connectionId": "string",  "credentialAttached": true,  "externalAccountId": "string",  "externalChannelId": "string",  "externalThreadKey": "string",  "externalWorkspaceId": "string",  "id": "string",  "lastVerifiedAt": "2019-08-24T14:15:22Z",  "metadata": {},  "object": "channel-binding",  "provider": "aws_end_user_messaging_rcs",  "status": "active",  "verification": "configuration-and-credential"}